<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenThread: Router/Leader</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="../../Open-Thread-Logo-200x42.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">
   &#160;<span id="projectnumber">gddd0704</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="../../index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="../../modules.html"><span>Modules</span></a></li>
      <li><a href="../../namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="../../annotated.html"><span>Classes</span></a></li>
      <li><a href="../../files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="../../search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="../../search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('da/d96/group__config-router.html','../../');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">Router/Leader<div class="ingroups"><a class="el" href="../../d0/d2d/group__api.html">API</a> &raquo; <a class="el" href="../../d1/d44/group__config.html">Configuration</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>This module includes functions that manage configuration parameters for the Thread Router and Leader roles.  
<a href="#details">More...</a></p>
<div class="dynheader">
Collaboration diagram for Router/Leader:</div>
<div class="dyncontent">
<center><table><tr><td><img src="../../da/d96/group__config-router.png" border="0" alt="" usemap="#da_2d96_2group____config-router"/>
<map name="da_2d96_2group____config-router" id="da_2d96_2group____config-router">
<area shape="rect" id="node1" href="../../d1/d44/group__config.html" title="This module includes functions for configuration. " alt="" coords="5,5,106,31"/>
</map>
</td></tr></table></center>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ga082d2739d97c2a1f465452639fcf7146"><td class="memItemLeft" align="right" valign="top">uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d96/group__config-router.html#ga082d2739d97c2a1f465452639fcf7146">otGetLocalLeaderWeight</a> (<a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *aInstance)</td></tr>
<tr class="memdesc:ga082d2739d97c2a1f465452639fcf7146"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the Thread Leader Weight used when operating in the Leader role.  <a href="#ga082d2739d97c2a1f465452639fcf7146">More...</a><br /></td></tr>
<tr class="separator:ga082d2739d97c2a1f465452639fcf7146"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9188e5b7f239b286e0322acdc84345ae"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d96/group__config-router.html#ga9188e5b7f239b286e0322acdc84345ae">otSetLocalLeaderWeight</a> (<a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *aInstance, uint8_t aWeight)</td></tr>
<tr class="memdesc:ga9188e5b7f239b286e0322acdc84345ae"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the Thread Leader Weight used when operating in the Leader role.  <a href="#ga9188e5b7f239b286e0322acdc84345ae">More...</a><br /></td></tr>
<tr class="separator:ga9188e5b7f239b286e0322acdc84345ae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9a7952895493d3ccce9c1561c4681b60"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d96/group__config-router.html#ga9a7952895493d3ccce9c1561c4681b60">otGetLocalLeaderPartitionId</a> (<a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *aInstance)</td></tr>
<tr class="memdesc:ga9a7952895493d3ccce9c1561c4681b60"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the Thread Leader Partition Id used when operating in the Leader role.  <a href="#ga9a7952895493d3ccce9c1561c4681b60">More...</a><br /></td></tr>
<tr class="separator:ga9a7952895493d3ccce9c1561c4681b60"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf32beef6568f3e75e3aa1078f61d55c2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d96/group__config-router.html#gaf32beef6568f3e75e3aa1078f61d55c2">otSetLocalLeaderPartitionId</a> (<a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *aInstance, uint32_t aPartitionId)</td></tr>
<tr class="memdesc:gaf32beef6568f3e75e3aa1078f61d55c2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the Thread Leader Partition Id used when operating in the Leader role.  <a href="#gaf32beef6568f3e75e3aa1078f61d55c2">More...</a><br /></td></tr>
<tr class="separator:gaf32beef6568f3e75e3aa1078f61d55c2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga13a7243b3d4c16cfc50bfbf29c42dd10"><td class="memItemLeft" align="right" valign="top">uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d96/group__config-router.html#ga13a7243b3d4c16cfc50bfbf29c42dd10">otGetJoinerUdpPort</a> (<a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *aInstance)</td></tr>
<tr class="memdesc:ga13a7243b3d4c16cfc50bfbf29c42dd10"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the Joiner UDP Port.  <a href="#ga13a7243b3d4c16cfc50bfbf29c42dd10">More...</a><br /></td></tr>
<tr class="separator:ga13a7243b3d4c16cfc50bfbf29c42dd10"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1a81bcce900d21d72fe374af1f756956"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d96/group__config-router.html#ga1a81bcce900d21d72fe374af1f756956">otSetJoinerUdpPort</a> (<a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *aInstance, uint16_t aJoinerUdpPort)</td></tr>
<tr class="memdesc:ga1a81bcce900d21d72fe374af1f756956"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the Joiner UDP Port.  <a href="#ga1a81bcce900d21d72fe374af1f756956">More...</a><br /></td></tr>
<tr class="separator:ga1a81bcce900d21d72fe374af1f756956"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<p>This module includes functions that manage configuration parameters for the Thread Router and Leader roles. </p>
<h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="ga13a7243b3d4c16cfc50bfbf29c42dd10"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint16_t otGetJoinerUdpPort </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *&#160;</td>
          <td class="paramname"><em>aInstance</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get the Joiner UDP Port. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aInstance</td><td>A pointer to an OpenThread instance.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The Joiner UDP Port number.</dd></dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="../../da/d96/group__config-router.html#ga1a81bcce900d21d72fe374af1f756956" title="Set the Joiner UDP Port. ">otSetJoinerUdpPort</a> </dd></dl>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../da/d96/group__config-router_ga13a7243b3d4c16cfc50bfbf29c42dd10_cgraph.png" border="0" usemap="#da/d96/group__config-router_ga13a7243b3d4c16cfc50bfbf29c42dd10_cgraph" alt=""/></div>
<map name="da/d96/group__config-router_ga13a7243b3d4c16cfc50bfbf29c42dd10_cgraph" id="da/d96/group__config-router_ga13a7243b3d4c16cfc50bfbf29c42dd10_cgraph">
<area shape="rect" id="node2" href="../../dd/d9d/classThread_1_1MeshCoP_1_1JoinerRouter.html#a484af9ea3f5c73ec07d3e47c21a647c5" title="This method returns the Joiner UDP Port. " alt="" coords="193,99,406,137"/>
<area shape="rect" id="node3" href="../../d3/d8e/classThread_1_1ThreadNetif.html#a16d20f33e997eaf877024914707f052a" title="This method returns a pointer to the network data leader object. " alt="" coords="479,11,647,49"/>
<area shape="rect" id="node5" href="../../d6/d9b/classThread_1_1NetworkData_1_1Leader.html#ab1860ae9877c2b0f6a83d677d41e31d6" title="This method returns a pointer to the Commissioning Data. " alt="" coords="454,1361,672,1400"/>
<area shape="rect" id="node19" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#a6b50f0231142d7c272ac1732ae0fdca7" title="This method returns the Type value. " alt="" coords="755,68,910,107"/>
<area shape="rect" id="node20" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#ae448a8785f6715b07e973d570e715c69" title="This method returns the Length value. " alt="" coords="755,131,910,169"/>
<area shape="rect" id="node4" href="../../d3/d8e/classThread_1_1ThreadNetif.html#a83517ab2bff2614e403895426df6a61b" title="This method returns the pointer to the parent otInstance structure. " alt="" coords="762,5,903,44"/>
<area shape="rect" id="node6" href="../../d5/d81/classThread_1_1NetworkData_1_1NetworkDataTlv.html#af812881954a5608981bfa430eca30731" title="This method returns a pointer to the next Network Data TLV. " alt="" coords="1001,823,1181,861"/>
<area shape="rect" id="node7" href="../../d4/d80/group__core-netdata-core.html#ga3b02c75d7d5dce213601521df50b24a3" title="This method removes bytes from the Network Data. " alt="" coords="751,1113,914,1152"/>
<area shape="rect" id="node8" href="../../dd/d2b/classThread_1_1ThreadTlv.html#a4a079523209bf967433700e7010f4bde" title="This static method reads the requested TLV out of aMessage. " alt="" coords="764,1279,902,1317"/>
<area shape="rect" id="node9" href="../../dc/d3c/classThread_1_1Message.html#ac8304ee00c9e0b303539687e98e192e0" title="This method returns the byte offset within the message. " alt="" coords="996,1192,1185,1217"/>
<area shape="rect" id="node10" href="../../dc/d3c/classThread_1_1Message.html#a2cf440376e834030c38bb2ced4ca49e9" title="This method returns the number of bytes in the message. " alt="" coords="993,1271,1188,1296"/>
<area shape="rect" id="node11" href="../../dc/d3c/classThread_1_1Message.html#a76033bbc15170d72452186058defafa2" title="This method reads bytes from the message. " alt="" coords="1009,1336,1173,1361"/>
<area shape="rect" id="node12" href="../../dd/d2b/classThread_1_1ThreadTlv.html#ad58148cecaf4a01c4f53c923a09b51d1" title="This method returns the Length value. " alt="" coords="1022,1387,1160,1425"/>
<area shape="rect" id="node13" href="../../d6/d9b/classThread_1_1NetworkData_1_1Leader.html#a5baddd109ff06b58140e2678e3c97a16" title="This method removes Network Data associated with a given RLOC16. " alt="" coords="729,1444,936,1483"/>
<area shape="rect" id="node14" href="../../db/d2d/classThread_1_1ThreadRloc16Tlv.html#a840ece43248e4382b2e69b0da34ba105" title="This method returns the RLOC16 value. " alt="" coords="747,1507,919,1545"/>
<area shape="rect" id="node15" href="../../d6/df1/classThread_1_1ThreadNetworkDataTlv.html#af824e57fa1bf027d457158487ea10fc4" title="This method returns a pointer to the Network Data TLVs. " alt="" coords="738,1569,928,1608"/>
<area shape="rect" id="node16" href="../../df/d94/group__core-mle-core.html#gabc154b6e95f5b169febcd7a582dfa1a3" title="This method returns the current Thread interface state. " alt="" coords="737,1632,928,1671"/>
<area shape="rect" id="node17" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#aa2f476effa6f74d304b38fd6280ede7d" title="This method returns a pointer to the next TLV. " alt="" coords="755,1695,910,1733"/>
<area shape="rect" id="node18" href="../../d6/d9b/classThread_1_1NetworkData_1_1Leader.html#a46d1a76edcb210f1cf58c463f3c1bdad" title="This method adds Commissioning Data to the Thread Network Data. " alt="" coords="724,1757,941,1796"/>
<area shape="rect" id="node21" href="../../de/d76/classThread_1_1Coap_1_1Server.html#a2f1fb2b1a1e98b79a9d086aca2dbb764" title="This method returns a new UDP message with sufficient header space reserved. " alt="" coords="758,1820,908,1859"/>
<area shape="rect" id="node22" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#ad221953768fdb61bd62fa1bc3ffd4c89" title="This method initializes the CoAP header. " alt="" coords="756,1883,910,1921"/>
<area shape="rect" id="node23" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#ad4147a19a4e8861f321c8aaaa5db6baa" title="This method sets the Type value. " alt="" coords="756,1945,910,1984"/>
<area shape="rect" id="node24" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#a0a2c1cf0ff97aab363e71f716254a736" title="This method sets the Code value. " alt="" coords="756,2008,910,2047"/>
<area shape="rect" id="node25" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#a7a374b4bd31694216d9397e1409209a0" title="This method sets the Message ID value. " alt="" coords="756,2071,910,2109"/>
<area shape="rect" id="node26" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#ad45e8b7c304fce8c896ef531be34e9d6" title="This method returns the Message ID value. " alt="" coords="756,2133,910,2172"/>
<area shape="rect" id="node27" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#a9d8d2a7b438e4a7d27ce3b979b0bb2a0" title="This method sets the Token value and length. " alt="" coords="756,2196,910,2235"/>
<area shape="rect" id="node28" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#ad51db46720122c64e67143e10eaf3820" title="This method returns a pointer to the Token value. " alt="" coords="756,2259,910,2297"/>
<area shape="rect" id="node29" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#a552cf5eab882b244b178b8093e8a18e9" title="This method returns the Token length. " alt="" coords="756,2321,910,2360"/>
<area shape="rect" id="node30" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#aecbcbb8b836e0283559b89bd64fbc47f" title="This method terminates the CoAP header. " alt="" coords="756,2384,910,2423"/>
<area shape="rect" id="node31" href="../../dc/d3c/classThread_1_1Message.html#a3c3d1c48e940f2553586d16e1618277d" title="This method appends bytes to the end of the message. " alt="" coords="744,2447,922,2472"/>
<area shape="rect" id="node32" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#a5259ece3cbe8e332599f7de4c488ad32" title="This method returns a pointer to the first byte of the header. " alt="" coords="756,2496,910,2535"/>
<area shape="rect" id="node33" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#ae1679d627108d5381dc1ae45d2254299" title="This method returns the header length in bytes. " alt="" coords="756,2559,910,2597"/>
<area shape="rect" id="node34" href="../../de/d76/classThread_1_1Coap_1_1Server.html#aeb97e0257808d7cad4adceccd87f6b7d" title="This method sends a CoAP response from the server. " alt="" coords="758,2621,908,2660"/>
<area shape="rect" id="node35" href="../../dc/d3c/classThread_1_1Message.html#adc9d723284f5807d9c272ab89bc52b45" title="This method frees this message buffer. " alt="" coords="753,2684,913,2709"/>
<area shape="rect" id="node36" href="../../d2/da8/classThread_1_1MeshCoP_1_1StateTlv.html#afcb686b1046800a35985dc810c119472" title="This method initializes the TLV. " alt="" coords="740,2733,926,2772"/>
<area shape="rect" id="node37" href="../../d2/da8/classThread_1_1MeshCoP_1_1StateTlv.html#a86346d8e24a97d249ce73684009e8adb" title="This method sets the State value. " alt="" coords="740,193,926,232"/>
<area shape="rect" id="node38" href="../../d5/d81/classThread_1_1NetworkData_1_1NetworkDataTlv.html#a30c105cfada5eeffd6a9f99c9187ee84" title="This method returns the Type value. " alt="" coords="1000,948,1181,987"/>
<area shape="rect" id="node39" href="../../d0/d48/classThread_1_1NetworkData_1_1PrefixTlv.html#a99a8265aa86b2a1a26340ae1a51421f2" title="This method returns a pointer to the Sub&#45;TLVs. " alt="" coords="1012,885,1170,924"/>
<area shape="rect" id="node40" href="../../d4/d80/group__core-netdata-core.html#gabe230a18b5a65ec7a63f08db1cb0e613" title="This method returns a pointer to the Border Router TLV within a given Prefix TLV. ..." alt="" coords="723,823,942,861"/>
<area shape="rect" id="node41" href="../../d2/d89/classThread_1_1NetworkData_1_1BorderRouterTlv.html#a16b09bf46df7664d73748b4f15017be2" title="This method returns the number of Border Router entries. " alt="" coords="720,256,945,295"/>
<area shape="rect" id="node42" href="../../d2/d89/classThread_1_1NetworkData_1_1BorderRouterTlv.html#a245a0e91159fd6178382a7443b906db7" title="This method returns a pointer to the i&#39;th Border Router entry. " alt="" coords="740,319,926,357"/>
<area shape="rect" id="node43" href="../../d9/d64/classThread_1_1NetworkData_1_1BorderRouterEntry.html#af46474a303cb601ee647ea39660b6a07" title="This method returns the RLOC16 value. " alt="" coords="759,381,907,433"/>
<area shape="rect" id="node44" href="../../d5/d81/classThread_1_1NetworkData_1_1NetworkDataTlv.html#acf2d4444312a7b915bfd8005aee13fa8" title="This method indicates whether or not the Stable bit is set. " alt="" coords="743,457,922,496"/>
<area shape="rect" id="node45" href="../../d4/d80/group__core-netdata-core.html#ga2bcec104d7c04ab44abfaa5a509c6070" title="This method returns a pointer to the Has Route TLV within a given Prefix TLV. " alt="" coords="734,885,932,924"/>
<area shape="rect" id="node46" href="../../db/da1/classThread_1_1NetworkData_1_1HasRouteTlv.html#a2fd02d06c9508d0cba5a95c741f51fd3" title="This method returns the number of HasRoute entries. " alt="" coords="731,520,935,559"/>
<area shape="rect" id="node47" href="../../db/da1/classThread_1_1NetworkData_1_1HasRouteTlv.html#af793fac409ea244556f3f4690f4b4181" title="This method returns a pointer to the i&#39;th HasRoute entry. " alt="" coords="750,583,916,621"/>
<area shape="rect" id="node48" href="../../da/dc3/classThread_1_1NetworkData_1_1HasRouteEntry.html#a92d76d1970e97644987b2a75c680d30c" title="This method returns the RLOC16 value. " alt="" coords="745,645,920,684"/>
<area shape="rect" id="node49" href="../../d4/d80/group__core-netdata-core.html#ga722be438ba262b0aba0128f5082388b1" title="This method returns a pointer to the Context TLV within a given Prefix TLV. " alt="" coords="740,948,925,987"/>
<area shape="rect" id="node50" href="../../d4/d80/group__core-netdata-core.html#ga5c8a8452951d8bb01eb646de656321a3" title="This method returns a pointer to a Prefix TLV. " alt="" coords="746,708,919,747"/>
</map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../da/d96/group__config-router_ga13a7243b3d4c16cfc50bfbf29c42dd10_icgraph.png" border="0" usemap="#da/d96/group__config-router_ga13a7243b3d4c16cfc50bfbf29c42dd10_icgraph" alt=""/></div>
<map name="da/d96/group__config-router_ga13a7243b3d4c16cfc50bfbf29c42dd10_icgraph" id="da/d96/group__config-router_ga13a7243b3d4c16cfc50bfbf29c42dd10_icgraph">
<area shape="rect" id="node2" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="193,5,348,44"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="ga9a7952895493d3ccce9c1561c4681b60"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t otGetLocalLeaderPartitionId </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *&#160;</td>
          <td class="paramname"><em>aInstance</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get the Thread Leader Partition Id used when operating in the Leader role. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aInstance</td><td>A pointer to an OpenThread instance.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The Thread Leader Partition Id value. </dd></dl>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../da/d96/group__config-router_ga9a7952895493d3ccce9c1561c4681b60_cgraph.png" border="0" usemap="#da/d96/group__config-router_ga9a7952895493d3ccce9c1561c4681b60_cgraph" alt=""/></div>
<map name="da/d96/group__config-router_ga9a7952895493d3ccce9c1561c4681b60_cgraph" id="da/d96/group__config-router_ga9a7952895493d3ccce9c1561c4681b60_cgraph">
<area shape="rect" id="node2" href="../../d3/d8e/classThread_1_1ThreadNetif.html#ad49d56e324f096d728c0083d9292f52d" title="This method returns a pointer to the mle object. " alt="" coords="251,5,392,44"/>
<area shape="rect" id="node3" href="../../db/dec/group__core-mle-router.html#gace8744ec1ff6f40e4cc672c0068dffaf" title="This method returns the fixed Partition Id of Thread network partition for certification testing..." alt="" coords="241,68,402,107"/>
</map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../da/d96/group__config-router_ga9a7952895493d3ccce9c1561c4681b60_icgraph.png" border="0" usemap="#da/d96/group__config-router_ga9a7952895493d3ccce9c1561c4681b60_icgraph" alt=""/></div>
<map name="da/d96/group__config-router_ga9a7952895493d3ccce9c1561c4681b60_icgraph" id="da/d96/group__config-router_ga9a7952895493d3ccce9c1561c4681b60_icgraph">
<area shape="rect" id="node2" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="241,5,396,44"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="ga082d2739d97c2a1f465452639fcf7146"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint8_t otGetLocalLeaderWeight </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *&#160;</td>
          <td class="paramname"><em>aInstance</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get the Thread Leader Weight used when operating in the Leader role. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aInstance</td><td>A pointer to an OpenThread instance.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The Thread Leader Weight value.</dd></dl>
<dl class="section see"><dt>See also</dt><dd>otSetLeaderWeight </dd></dl>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../da/d96/group__config-router_ga082d2739d97c2a1f465452639fcf7146_cgraph.png" border="0" usemap="#da/d96/group__config-router_ga082d2739d97c2a1f465452639fcf7146_cgraph" alt=""/></div>
<map name="da/d96/group__config-router_ga082d2739d97c2a1f465452639fcf7146_cgraph" id="da/d96/group__config-router_ga082d2739d97c2a1f465452639fcf7146_cgraph">
<area shape="rect" id="node2" href="../../d3/d8e/classThread_1_1ThreadNetif.html#ad49d56e324f096d728c0083d9292f52d" title="This method returns a pointer to the mle object. " alt="" coords="232,5,373,44"/>
<area shape="rect" id="node3" href="../../db/dec/group__core-mle-router.html#gadd5080f8b2e2303a6d90c5e04c3b903e" title="This method returns the Leader Weighting value for this Thread interface. " alt="" coords="222,68,383,107"/>
</map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../da/d96/group__config-router_ga082d2739d97c2a1f465452639fcf7146_icgraph.png" border="0" usemap="#da/d96/group__config-router_ga082d2739d97c2a1f465452639fcf7146_icgraph" alt=""/></div>
<map name="da/d96/group__config-router_ga082d2739d97c2a1f465452639fcf7146_icgraph" id="da/d96/group__config-router_ga082d2739d97c2a1f465452639fcf7146_icgraph">
<area shape="rect" id="node2" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="240,5,396,44"/>
<area shape="rect" id="node3" href="../../d9/dc8/classThread_1_1NcpBase.html#ad14f0f1d60c77f7f537a0a441a9fb35c" title="This method is called by the framer whenever a framing error is detected. " alt="" coords="222,68,414,107"/>
<area shape="rect" id="node4" href="../../dc/d60/classThread_1_1NcpUart.html#a34e4ca7aff5b9056593e8ce0aa6e2fbb" title="This method is called when uart received a data buffer. " alt="" coords="462,68,656,107"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="ga1a81bcce900d21d72fe374af1f756956"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> otSetJoinerUdpPort </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *&#160;</td>
          <td class="paramname"><em>aInstance</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>aJoinerUdpPort</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the Joiner UDP Port. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aInstance</td><td>A pointer to an OpenThread instance. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">aJoinerUdpPort</td><td>The Joiner UDP Port number.</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">kThreadErrorNone</td><td>Successfully set the Joiner UDP Port.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="../../da/d96/group__config-router.html#ga13a7243b3d4c16cfc50bfbf29c42dd10" title="Get the Joiner UDP Port. ">otGetJoinerUdpPort</a> </dd></dl>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../da/d96/group__config-router_ga1a81bcce900d21d72fe374af1f756956_cgraph.png" border="0" usemap="#da/d96/group__config-router_ga1a81bcce900d21d72fe374af1f756956_cgraph" alt=""/></div>
<map name="da/d96/group__config-router_ga1a81bcce900d21d72fe374af1f756956_cgraph" id="da/d96/group__config-router_ga1a81bcce900d21d72fe374af1f756956_cgraph">
<area shape="rect" id="node2" href="../../dd/d9d/classThread_1_1MeshCoP_1_1JoinerRouter.html#a8ab1b7f1b2f78a2bebeeb91872a14b6f" title="This method sets the Joiner UDP Port. " alt="" coords="191,1439,404,1477"/>
<area shape="rect" id="node3" href="../../dc/d75/classThread_1_1Ip6_1_1UdpSocket.html#aafb4481c92d1f8515e51cfa822a1bde1" title="This method returns a new UDP message with sufficient header space reserved. " alt="" coords="493,5,655,44"/>
<area shape="rect" id="node4" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#ad221953768fdb61bd62fa1bc3ffd4c89" title="This method initializes the CoAP header. " alt="" coords="497,68,651,107"/>
<area shape="rect" id="node5" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#ad4147a19a4e8861f321c8aaaa5db6baa" title="This method sets the Type value. " alt="" coords="497,131,651,169"/>
<area shape="rect" id="node6" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#a0a2c1cf0ff97aab363e71f716254a736" title="This method sets the Code value. " alt="" coords="497,193,651,232"/>
<area shape="rect" id="node7" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#a7a374b4bd31694216d9397e1409209a0" title="This method sets the Message ID value. " alt="" coords="497,256,651,295"/>
<area shape="rect" id="node8" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#a9d8d2a7b438e4a7d27ce3b979b0bb2a0" title="This method sets the Token value and length. " alt="" coords="497,319,651,357"/>
<area shape="rect" id="node9" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#a1df234ef27c9000081fbbe24e7c97dd6" title="This method appends a Uri&#45;Path option. " alt="" coords="491,381,656,420"/>
<area shape="rect" id="node10" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#aecbcbb8b836e0283559b89bd64fbc47f" title="This method terminates the CoAP header. " alt="" coords="497,444,651,483"/>
<area shape="rect" id="node11" href="../../dc/d3c/classThread_1_1Message.html#a3c3d1c48e940f2553586d16e1618277d" title="This method appends bytes to the end of the message. " alt="" coords="485,507,663,532"/>
<area shape="rect" id="node12" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#a5259ece3cbe8e332599f7de4c488ad32" title="This method returns a pointer to the first byte of the header. " alt="" coords="497,556,651,595"/>
<area shape="rect" id="node13" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#ae1679d627108d5381dc1ae45d2254299" title="This method returns the header length in bytes. " alt="" coords="497,619,651,657"/>
<area shape="rect" id="node14" href="../../dc/df4/classThread_1_1MeshCoP_1_1JoinerUdpPortTlv.html#a29e08fa6913dcfdd696ceb376a19bdd9" title="This method initializes the TLV. " alt="" coords="475,733,673,772"/>
<area shape="rect" id="node15" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#af4de18174724fddc7ac516c219cd16cd" title="This method sets the Type value. " alt="" coords="763,828,918,867"/>
<area shape="rect" id="node16" href="../../dc/df4/classThread_1_1MeshCoP_1_1JoinerUdpPortTlv.html#aa5edc74edb31fd8d95ca9f7e5844c0ac" title="This method sets the UDP Port value. " alt="" coords="475,1047,673,1085"/>
<area shape="rect" id="node17" href="../../da/daa/classThread_1_1MeshCoP_1_1JoinerIidTlv.html#a207b931d92a80a444720eed98b77edc2" title="This method initializes the TLV. " alt="" coords="480,796,667,835"/>
<area shape="rect" id="node18" href="../../da/daa/classThread_1_1MeshCoP_1_1JoinerIidTlv.html#aa6bc438b18868db2397bd60ffe49b803" title="This method sets the Joiner IID. " alt="" coords="480,1109,667,1148"/>
<area shape="rect" id="node19" href="../../da/d46/classThread_1_1Ip6_1_1MessageInfo.html#a794b87e17aa877f3551c00aa8c892072" title="This method returns a reference to the peer socket address. " alt="" coords="487,1172,660,1211"/>
<area shape="rect" id="node20" href="../../d0/db3/classThread_1_1MeshCoP_1_1JoinerRouterLocatorTlv.html#a9845e36c8185cabc8d0284cfbfb6b602" title="This method initializes the TLV. " alt="" coords="467,859,680,897"/>
<area shape="rect" id="node21" href="../../d0/db3/classThread_1_1MeshCoP_1_1JoinerRouterLocatorTlv.html#a6291357d0db286b48a6e328d4a286fcd" title="This method sets the Joiner Router Locator value. " alt="" coords="458,1235,690,1273"/>
<area shape="rect" id="node22" href="../../d3/d8e/classThread_1_1ThreadNetif.html#ad49d56e324f096d728c0083d9292f52d" title="This method returns a pointer to the mle object. " alt="" coords="503,1297,644,1336"/>
<area shape="rect" id="node23" href="../../df/d94/group__core-mle-core.html#ga4934863fd1274f1b86dc9bcee8d8682d" title="This method returns the RLOC16 assigned to the Thread interface. " alt="" coords="478,1360,670,1385"/>
<area shape="rect" id="node24" href="../../d9/d87/classThread_1_1MeshCoP_1_1ExtendedTlv.html#a4219bfc78e9e26fdeb0413b8ed7e611a" title="This method sets the Length value. " alt="" coords="477,1409,670,1448"/>
<area shape="rect" id="node25" href="../../dc/d3c/classThread_1_1Message.html#a2cf440376e834030c38bb2ced4ca49e9" title="This method returns the number of bytes in the message. " alt="" coords="743,1563,938,1588"/>
<area shape="rect" id="node26" href="../../dc/d3c/classThread_1_1Message.html#ac8304ee00c9e0b303539687e98e192e0" title="This method returns the byte offset within the message. " alt="" coords="746,1635,935,1660"/>
<area shape="rect" id="node27" href="../../dc/d3c/classThread_1_1Message.html#a76033bbc15170d72452186058defafa2" title="This method reads bytes from the message. " alt="" coords="758,1684,923,1709"/>
<area shape="rect" id="node28" href="../../dc/d3c/classThread_1_1Message.html#a7b45edaa8ba9f31a437aea73cfca387c" title="This method moves the byte offset within the message. " alt="" coords="474,1815,674,1840"/>
<area shape="rect" id="node29" href="../../df/d94/group__core-mle-core.html#ga1892b5d66471226fa03645a966cb3eed" title="This method returns a pointer to the Mesh Local Prefix. " alt="" coords="482,1864,665,1903"/>
<area shape="rect" id="node30" href="../../dc/d75/classThread_1_1Ip6_1_1UdpSocket.html#ac4fb0ea0ae514fa0edfeaa91dfbdabca" title="This method sends a UDP message. " alt="" coords="493,1524,655,1563"/>
<area shape="rect" id="node31" href="../../dc/d3c/classThread_1_1Message.html#adc9d723284f5807d9c272ab89bc52b45" title="This method frees this message buffer. " alt="" coords="494,1927,654,1952"/>
<area shape="rect" id="node32" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#a0d72d5dcded14ce9da3678a456cb70a8" title="This method returns the Type value. " alt="" coords="497,1976,651,2015"/>
<area shape="rect" id="node33" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#a08454fc48790efe33c95be2311e1e6d1" title="This method returns the Code value. " alt="" coords="497,2039,651,2077"/>
<area shape="rect" id="node34" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#a5560e18099408223e7a5c610e44bdc7f" title="This static method reads the requested TLV out of aMessage. " alt="" coords="496,1587,651,1625"/>
<area shape="rect" id="node35" href="../../dc/df4/classThread_1_1MeshCoP_1_1JoinerUdpPortTlv.html#aabb0d78dbd2a535e3996df3888316529" title="This method indicates whether or not the TLV appears to be well&#45;formed. " alt="" coords="475,2101,673,2140"/>
<area shape="rect" id="node36" href="../../da/daa/classThread_1_1MeshCoP_1_1JoinerIidTlv.html#af808d2baaf2b854f5e70540a625531af" title="This method indicates whether or not the TLV appears to be well&#45;formed. " alt="" coords="480,2164,667,2203"/>
<area shape="rect" id="node37" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#afc7c287ad7c84b712621db6fa5cbd0f9" title="This static method finds the offset and length of a given TLV type. " alt="" coords="496,1649,651,1688"/>
<area shape="rect" id="node38" href="../../dc/d3c/classThread_1_1Message.html#a942818bf261c0af93b793017407c2b2c" title="This method sets whether or not link security is enabled for the message. " alt="" coords="485,2227,662,2265"/>
<area shape="rect" id="node39" href="../../dc/d3c/classThread_1_1Message.html#a6ad07f345f6fbc1c0917d2ccf5ce9042" title="This method copies bytes from one message to another. " alt="" coords="485,2289,663,2315"/>
<area shape="rect" id="node40" href="../../da/daa/classThread_1_1MeshCoP_1_1JoinerIidTlv.html#a3b35d161640893f9c597edf457e1e19d" title="This method returns a pointer to the Joiner IID. " alt="" coords="480,2339,667,2377"/>
<area shape="rect" id="node41" href="../../dc/df4/classThread_1_1MeshCoP_1_1JoinerUdpPortTlv.html#a1b3a57db550c8c83b57bb14c3004733b" title="This method returns the UDP Port value. " alt="" coords="475,2401,673,2440"/>
<area shape="rect" id="node42" href="../../d2/d55/classThread_1_1Ip6_1_1Netif.html#a6c8c4f1757a98e7a45197c97da1ec8b8" title="This method returns the network interface identifier. " alt="" coords="512,2464,636,2503"/>
<area shape="rect" id="node43" href="../../d3/d8e/classThread_1_1ThreadNetif.html#a25b149621cbd28f9319ee1708ac1f703" title="This method returns a pointer to the key manager object. " alt="" coords="503,2527,644,2565"/>
<area shape="rect" id="node44" href="../../d6/d44/classThread_1_1KeyManager.html#a728372cc0fe32315d26347e3cfae09d1" title="This method sets the KEK. " alt="" coords="500,2589,647,2628"/>
<area shape="rect" id="node45" href="../../d2/d9a/classThread_1_1MeshCoP_1_1JoinerRouterKekTlv.html#aacd0995c2c89f5b1e96263ffad37bd9b" title="This method returns a pointer to the Joiner Router KEK. " alt="" coords="467,2652,680,2691"/>
<area shape="rect" id="node46" href="../../dc/d3c/classThread_1_1Message.html#ac4ef16141a9922e6a059851ba065a5f1" title="This method sets the message sub type. " alt="" coords="471,2715,676,2740"/>
<area shape="rect" id="node47" href="../../d5/d5e/classThread_1_1MeshCoP_1_1NetworkMasterKeyTlv.html#af3ea4903506e5aed586ba6e891e3ae04" title="This method initializes the TLV. " alt="" coords="481,921,667,960"/>
<area shape="rect" id="node48" href="../../d5/d5e/classThread_1_1MeshCoP_1_1NetworkMasterKeyTlv.html#aa6a8c8bcfa38d2b6d92d58adc0e8962b" title="This method sets the Network Master Key value. " alt="" coords="452,2764,695,2803"/>
<area shape="rect" id="node49" href="../../d6/d44/classThread_1_1KeyManager.html#ae5b15c034edb118f46e01364aca37ee9" title="This method returns a pointer to the Thread Master Key. " alt="" coords="500,2827,647,2865"/>
<area shape="rect" id="node50" href="../../d3/de1/classThread_1_1MeshCoP_1_1MeshLocalPrefixTlv.html#a117ecc1e939e8472d4a98ada9078fb59" title="This method initializes the TLV. " alt="" coords="473,984,674,1023"/>
</map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../da/d96/group__config-router_ga1a81bcce900d21d72fe374af1f756956_icgraph.png" border="0" usemap="#da/d96/group__config-router_ga1a81bcce900d21d72fe374af1f756956_icgraph" alt=""/></div>
<map name="da/d96/group__config-router_ga1a81bcce900d21d72fe374af1f756956_icgraph" id="da/d96/group__config-router_ga1a81bcce900d21d72fe374af1f756956_icgraph">
<area shape="rect" id="node2" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="191,5,346,44"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="gaf32beef6568f3e75e3aa1078f61d55c2"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void otSetLocalLeaderPartitionId </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *&#160;</td>
          <td class="paramname"><em>aInstance</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>aPartitionId</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the Thread Leader Partition Id used when operating in the Leader role. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aInstance</td><td>A pointer to an OpenThread instance. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">aPartitionId</td><td>The Thread Leader Partition Id value. </td></tr>
  </table>
  </dd>
</dl>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../da/d96/group__config-router_gaf32beef6568f3e75e3aa1078f61d55c2_cgraph.png" border="0" usemap="#da/d96/group__config-router_gaf32beef6568f3e75e3aa1078f61d55c2_cgraph" alt=""/></div>
<map name="da/d96/group__config-router_gaf32beef6568f3e75e3aa1078f61d55c2_cgraph" id="da/d96/group__config-router_gaf32beef6568f3e75e3aa1078f61d55c2_cgraph">
<area shape="rect" id="node2" href="../../d3/d8e/classThread_1_1ThreadNetif.html#ad49d56e324f096d728c0083d9292f52d" title="This method returns a pointer to the mle object. " alt="" coords="250,5,390,44"/>
<area shape="rect" id="node3" href="../../db/dec/group__core-mle-router.html#ga889ecd80c596b0ca066d15300d43978f" title="This method sets the fixed Partition Id for Thread network partition for certification testing..." alt="" coords="239,68,401,107"/>
</map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../da/d96/group__config-router_gaf32beef6568f3e75e3aa1078f61d55c2_icgraph.png" border="0" usemap="#da/d96/group__config-router_gaf32beef6568f3e75e3aa1078f61d55c2_icgraph" alt=""/></div>
<map name="da/d96/group__config-router_gaf32beef6568f3e75e3aa1078f61d55c2_icgraph" id="da/d96/group__config-router_gaf32beef6568f3e75e3aa1078f61d55c2_icgraph">
<area shape="rect" id="node2" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="239,5,395,44"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="ga9188e5b7f239b286e0322acdc84345ae"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void otSetLocalLeaderWeight </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *&#160;</td>
          <td class="paramname"><em>aInstance</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>aWeight</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the Thread Leader Weight used when operating in the Leader role. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aInstance</td><td>A pointer to an OpenThread instance. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">aWeight</td><td>The Thread Leader Weight value..</td></tr>
  </table>
  </dd>
</dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="../../d8/dd2/group__diags.html#ga7f8be0203b4a07ea4dae5285d0f5e3d8" title="Get the Leader&#39;s Weight. ">otGetLeaderWeight</a> </dd></dl>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../da/d96/group__config-router_ga9188e5b7f239b286e0322acdc84345ae_cgraph.png" border="0" usemap="#da/d96/group__config-router_ga9188e5b7f239b286e0322acdc84345ae_cgraph" alt=""/></div>
<map name="da/d96/group__config-router_ga9188e5b7f239b286e0322acdc84345ae_cgraph" id="da/d96/group__config-router_ga9188e5b7f239b286e0322acdc84345ae_cgraph">
<area shape="rect" id="node2" href="../../d3/d8e/classThread_1_1ThreadNetif.html#ad49d56e324f096d728c0083d9292f52d" title="This method returns a pointer to the mle object. " alt="" coords="231,5,371,44"/>
<area shape="rect" id="node3" href="../../db/dec/group__core-mle-router.html#gab6a55dea4f9b593853fff049881c1e56" title="This method sets the Leader Weighting value for this Thread interface. " alt="" coords="220,68,382,107"/>
</map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../da/d96/group__config-router_ga9188e5b7f239b286e0322acdc84345ae_icgraph.png" border="0" usemap="#da/d96/group__config-router_ga9188e5b7f239b286e0322acdc84345ae_icgraph" alt=""/></div>
<map name="da/d96/group__config-router_ga9188e5b7f239b286e0322acdc84345ae_icgraph" id="da/d96/group__config-router_ga9188e5b7f239b286e0322acdc84345ae_icgraph">
<area shape="rect" id="node2" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="239,5,394,44"/>
<area shape="rect" id="node3" href="../../d9/dc8/classThread_1_1NcpBase.html#ad14f0f1d60c77f7f537a0a441a9fb35c" title="This method is called by the framer whenever a framing error is detected. " alt="" coords="220,68,412,107"/>
<area shape="rect" id="node4" href="../../dc/d60/classThread_1_1NcpUart.html#a34e4ca7aff5b9056593e8ce0aa6e2fbb" title="This method is called when uart received a data buffer. " alt="" coords="460,68,655,107"/>
</map>
</div>
</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Fri Oct 14 2016 08:44:35 for OpenThread by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
